summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-04-27 12:12:42 +0000
committerJim Meyering <jim@meyering.net>2000-04-27 12:12:42 +0000
commitc0e74f9b486adc2411851d8c69adb192ff228a44 (patch)
treec2f335ada0fbb85eb1dd9da2288eb0bc66c68395 /tests
parentf5e968f6cd6f63675ff0685756c6f2aff2a37ec6 (diff)
downloadcoreutils-c0e74f9b486adc2411851d8c69adb192ff228a44.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/two-args18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/du/two-args b/tests/du/two-args
new file mode 100755
index 000000000..dbb60a939
--- /dev/null
+++ b/tests/du/two-args
@@ -0,0 +1,18 @@
+#!/bin/sh
+# make sure du d/1 d/2 works
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+tmp=du2-$$
+trap 'status=$?; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+mkdir -p $tmp/1 $tmp/2
+
+test -d $tmp || fail=1
+du $tmp/1 $tmp/2
+
+exit $fail